View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021654FPCCompilerpublic2012-04-05 19:042012-05-08 09:33
ReporterBrainenjii 
Assigned ToSven Barth 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSLinuxOS Version
Product Version2.7.1Product Build20709 
Target VersionFixed in Version2.7.1 
Summary0021654: "Fatal: Compilation aborted" on Static field at Generics
DescriptionSame code works fine on 2.6.0

===
program test;

Type

{ TMyGeneric }

 Generic TMyGeneric<T> = Class
  Private
    bValue: Integer; Static;
    Function GetValue: Integer;
  Public
    Property Value: Integer Read GetValue;
    Constructor Create(Const aValue: Integer);
End;

{ TMyGeneric }

Function TMyGeneric.GetValue: Integer;
Begin
  Result := bValue;
end;

Constructor TMyGeneric.Create(Const aValue: Integer);
Begin
  bValue := aValue;
End;

Type TMyClass = Specialize TMyGeneric<TObject>;

begin
end.
===
Tagsgenerics
FPCOldBugId
Fixed in Revision21251
Attached Files

- Relationships
duplicate of 0021550closedSven Barth Generics classes + static fields crash compiler 

-  Notes
(0059382)
Sven Barth (manager)
2012-05-08 09:33

Please test and close if okay.

Regards,
Sven

- Issue History
Date Modified Username Field Change
2012-04-05 19:04 Brainenjii New Issue
2012-04-10 14:50 Sven Barth Tag Attached: generics
2012-05-08 09:33 Sven Barth Fixed in Revision => 21251
2012-05-08 09:33 Sven Barth Relationship added duplicate of 0021550
2012-05-08 09:33 Sven Barth Duplicate ID 0 => 21550
2012-05-08 09:33 Sven Barth Status new => resolved
2012-05-08 09:33 Sven Barth Fixed in Version => 2.7.1
2012-05-08 09:33 Sven Barth Resolution open => fixed
2012-05-08 09:33 Sven Barth Assigned To => Sven Barth
2012-05-08 09:33 Sven Barth Note Added: 0059382



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker